Subject: Re: bug#69140: 30.0.50; [elpa/vertico] Emacs with vertico-mode freezes if font is too big

From: Po Lu <[email-masked]>
Date: Thu, 15 Feb 2024 22:29:15 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Thu, 15 Feb 2024 14:23:28 +0300
>> From:  Aleksandr Vityazev via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Vertico version 1.7, version 1.3 has also been tested, is incompatible
>> with the changes made by the commit -
>> caea0c1649d1df96b811c1388fde396e66bc356b. This commit was found via
>> git bisect.
>> 
>> To reproduce:
>> 1. Run emacs -Q
>> 2. M-x load-library vertico RET
>> 3. M-x vertico-mode RET
>> 4. Set a large font, the following is suitable for my 13 inch monitor:
>> (set-face-attribute 'default nil :family "monospace" :height 440)
>> 5. Call M-x
>> Emacs should freeze, sometimes you can unfreeze it with a few presses
>> of C-g
>
> Thanks, but why do you think the bug is in Emacs and not in vertico?
> The fact that you can unfreeze Emacs with C-g indicates that some Lisp
> is involved in what probably is an infloop.  At the very least, could
> you please catch a Lisp backtrace when you type C-g, so that we could
> see what Lisp is involved?  Also, what exactly does vertico do with
> resizing the mini-window, and what should be the value of
> resize-mini-windows for reproducing this issue.

Also, if at all possible, please attempt to interrupt Emacs while it is
so frozen under GDB until you have collected several unique backtraces
containing entries for `redisplay_internal', and post them here.